USB_HUB_FIND_CHILD(9)

NAME
usb_hub_find_child - Get the pointer of child device attached to the port which is specified by port1.

SYNOPSIS

struct usb_device * usb_hub_find_child(struct usb_device * hdev, int port1);

ARGUMENTS

hdev
    USB device belonging to the usb hub

port1
    port num to indicate which port the child device is attached to.

DESCRIPTION

USB drivers call this function to get hub's child device pointer.

RETURN

NULL if input param is invalid and child's usb_device pointer if non-NULL.

COPYRIGHT